#AdBeta1{
	position: absolute;
	margin-left: calc(50% - 364px);
	bottom: 0px;
}

body {
	background-color: #000;
	margin: 0;
	overflow: hidden;
	color: #fff;
	font-family: 'Raleway', 'Helvetica Neue', Arial, Helvetica, sans-serif;
	font-size: 14px;
	padding:0;
	height:100%;
}

html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

a{
	color: #fff;
	text-decoration: none;	
	border-bottom:thin dotted #999;			
}

#viz {
	position:absolute;
	background-color: #000;
	height:100%;
	width:100%;
}

#webgl{
	position: absolute;
	xopacity:.5;
	background-color: #000;
	xwidth:800px;
	xheight:600px;
	display:none;
}

.logo{
	width:200px;
	height:200px;
	background-image: url('img/mosh-200.png');
	background-size:contain;
	background-position:center;
	margin-bottom:24px !important;
}

.smaller{
	width:144px;
	height:60px;
	background-size: 100%;
}

/* CONTROLS */
#controls-holder{
	position:absolute;
	top: 0px;
	right:0px;
	height: 100%;
	width:262px;
	overflow-y:scroll;
	overflow-x: hidden;
	display:none;
}

#controls{
	position:absolute;
	width:250px;
	height:100%;
}

#debug-text{
	position: absolute;
	top:0;
	left:0;
	font-size: 14px;
	color: #0F0;
	width:600px;
	background-color: #030;
	z-index: 999;
	display:none;
}

#stats{
	position:absolute;
	background-color: #003;
	right:0;
	top:0;
}

#settings{
	border-top: 1px solid #333;
}

.dg li {
	xbackground-color: rgba(0,0,0,0.2) !important;
}

.dg {
	font-family: 'Helvetica Neue', Arial, Helvetica, sans-serif !important;
}

#controls-fade{
	position:absolute;
	height:150px;
	bottom:0;
	width:100%;
	background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,0.45) 100%); /* FF3.6+ */
	background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.45) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.45) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.45) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.45) 100%); /* W3C */

}

#top-controls-fade{
	position:absolute;
	height:150px;
	top:0;
	width:100%;
	background: -moz-linear-gradient(top,  rgba(0,0,0,0.45) 0%, rgba(0,0,0,0) 100%); /* FF3.6+ */
	background: -webkit-linear-gradient(top,  rgba(0,0,0,0.45) 0%,rgba(0,0,0,0) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(0,0,0,0.45) 0%,rgba(0,0,0,0) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(0,0,0,0.45) 0%,rgba(0,0,0,0) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(0,0,0,0.45) 0%,rgba(0,0,0,0) 100%); /* W3C */
	z-index: 2;

}

#bottom-controls-holder{
	position:absolute;
	width:500px;
	height:60px;
	bottom:30px;
	padding: 5px 20px;
	text-align: center;
	cursor:default;
	left:50%;
	margin-left:-250px;
	display:none;
	z-index: 99;
	xborder: 1px solid green;
}

/* INTRO */

#intro {

	width:500px;
	height:360px;
	position:absolute;
	left:50%;
	top:50%;
	margin:-180px 0 0 -250px;
	padding: 5px 10px;
	text-align: center;
	cursor:default;
	opacity:0;
	xborder: 1px solid red;
	line-height: 150%;
}

#intro h2,.big{
	font-weight: 100;
	font-size: 20px;
	padding:10px;
}

#options-holder{
	height: 100px;
	xborder: solid 1px red;
}

#cam-prompt{
	visibility:hidden;
}

#file-prompt{
	visibility:hidden;
}

.v-centered{
	position: relative;
	top: 50%;
	transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
}

.h-centered{
	margin: 0 auto;
}

#bottom-controls-holder .option,#intro .option,#survey .option{
	display: inline-block;
	width: 160px;
	font-weight: 100;
	font-size: 17px;
	padding:15px 0;
	margin:0 5px 0 5px;
}

#bottom-controls-holder .option{
	margin:0 20px 0 20px;
}

#intro .middle-sep{
	display: inline-block;
	width: 70px;
}

.dashed{
	border: 2px dashed #fff;
	border-radius: 10px;
}

.clickable{
	cursor: pointer;
	background-color: rgba(255,255,255,0.15);
}

.clickable:hover{
  background-color: rgba(255,255,255,0.20);
 }

.clickable:active{
  background-color: rgba(255,255,255,0.35);
 }

.icon-btn:before{
	content:  "\0000a0";
	display: inline-block;
	height: 24px;
	width: 24px;
	line-height: 24px;
	margin: 0 4px -6px -4px;
	position: relative;
	top: 0px;
	left: 0px;
	background-size: 100% 100%;
}

#btn-mosh:before{
   background: url(img/mosh.png) no-repeat left center transparent;
}

#btn-record:before{
   background: url(img/camera.png) no-repeat left center transparent;
}

#btn-record.gif-mode:before{
   background: url(img/video.png) no-repeat left center transparent;
}

#progress-bar{
	position:absolute;
	width:0%;
	height:10px;
	background-color:#C00;
	z-index: 3;
}

/* VIDEO TOGGLE */

#gif-toggle{
	position:absolute;
	top: 20px;
	left:20px;
	width:100px;
	height:36px;
	background-color: rgba(255,255,255,0.15);
	border-radius: 10px;
	overflow: hidden;
	cursor:pointer;
	display:none;
	z-index: 3;
}

.toggle-inner{
	width:50%;
	height:100%;
	xdisplay: inline-block;
	float: left;
	xborder: solid red 1px;
	background-repeat: no-repeat;
	background-position:center center;
	opacity:0.5;	
}

.toggle-inner.selected {
	background-color: rgba(255,255,255,0.25);	
	opacity:1;	
}

#cam-toggle{
	background-image: url(img/camera.png);
}

#vid-toggle{
	background-image: url(img/video.png);
}

#webgl canvas.scale-up{
	-webkit-transform: scale(2.0);
		-ms-transform: scale(2.0);
			transform: scale(2.0);
	-webkit-transform-origin: 0 0 0;
		-ms-transform-origin: 0 0 0;
			transform-origin: 0 0 0;
}

#top-arras{
	width:100%;
	position:absolute;
	height:40px;
	background-image: url("img/up.png");
	background-repeat: repeat-x repeat-y;

	-webkit-animation: backdrop_roll 1.0s linear infinite;
		-moz-animation: backdrop_roll 1.0s linear infinite;
		-ms-animation: backdrop_roll 1.0s linear infinite;
			animation: backdrop_roll 1.0s linear infinite;

	visibility:hidden;
}

@keyframes backdrop_roll { 
	from {
		background-position: 0 0; 
	} to {
		background-position: 0 -50px; 
	} 
}

@-webkit-keyframes backdrop_roll { 
	from {
		background-position: 0 0; 
	} to {
		background-position: 0 -50px; 
	} 
}

@-ms-keyframes backdrop_roll { 
	from {
		background-position: 0 0; 
	} to {
		background-position: 0 -50px; 
	} 
}

@-moz-keyframes fadein {
  from {
		background-position: 0 0; 
	} to {
		background-position: 0 -50px; 
	} 
}

#survey{
	background-color: rgba(0,0,0,0.8);
	display:none;
	height:200px;
	left:calc(50% - 130px);
	position:fixed;
	top:calc(50% - 100px);
	width:300px;
}
#survey p{
	text-align:center;
}
#survey textarea{
	height:80px;
	width:100%;
}
#survey input{
	border: none;
	color: #FFF;
	display: block !important;
	margin: 10px auto !important;
}

#xtra{
	background-color:#000;
	background-position:center;
	background-repeat:no-repeat;
	background-size:contain;
	display:none;
	height:100%;
	position:fixed;
	width:100%;
}

/* MEEDJA QUERIES */
/* for smaller than an ipad (portrait or landscape), hide CP and shrink stuff */

@media (max-width: 700px) {

	#intro, #bottom-controls-holder{
		transform: scale(0.8);
		-ms-transform: scale(0.8);
		-webkit-transform: scale(0.8);

	}

	#viz {
		width:100%;
	}

	#controls-holder{
		visibility: hidden;
	}

}

